﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace jyanken
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void gooButton_Click(object sender, EventArgs e)
        {
            string compHand = this.getComputerHand();

            this.judgementGame("グー", compHand);
        }

        private void chokiButton_Click(object sender, EventArgs e)
        {
            string compHand = this.getComputerHand();

            this.judgementGame("チョキ", compHand);
        }

        private void parButton_Click(object sender, EventArgs e)
        {
            string compHand = this.getComputerHand();

            this.judgementGame("パー", compHand);
        }

        // コンピューターの手を求めるメソッド
        private string getComputerHand()
        {
            Random rand = new Random();

            // Nextメソッドは引数に与えた数のランダムな数字を返す
            // 3を引数に与えた場合は0,1,2のどれかの値が返る
            int result = rand.Next(3);

            // コンピューターの手を表す文字列を返すための変数
            string resultString = "";

            // 乱数でコンピューターの手を確定する
            // 0:グー
            // 1:チョキ
            // 2:パー
            // switch文で値を判定する
            switch (result)
            {
                case 0:
                    label1.Text = "コンピューターの手は「グー」";
                    pictureBox1.ImageLocation = "Image/goo.jpg";

                    resultString = "グー";
                    break;

                case 1:
                    label1.Text = "コンピューターの手は「チョキ」";
                    pictureBox1.ImageLocation = "Image/choki.jpg";

                    resultString = "チョキ";
                    break;

                case 2:
                    label1.Text = "コンピューターの手は「パー」";
                    pictureBox1.ImageLocation = "Image/par.jpg";

                    resultString = "パー";
                    break;
            }
            return resultString;
        }

        // プレイヤーの手とコンピューターの手の2つの引数をとり勝敗を判定するメソッド
        private void judgementGame(string playerHand, string computerHand)
        {
            // 等しい場合は引き分け
            if (playerHand == computerHand)
            {
                label1.Text += " / 引き分けです";
            }
            // 勝ちのパターン
            else if (
                playerHand == "グー" && computerHand == "チョキ" ||                
                playerHand == "チョキ" && computerHand == "パー" ||
                playerHand == "パー" && computerHand == "グー"
                )
            {
                label1.Text += " / あなたの勝ちです";
            }
            // 勝ちでも引き分けでもない場合は負け
            else
            {
                label1.Text += " / あなたの負けです";
            }
        }
    }
}
