﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace timer
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Timer timer = new Timer();

            // タイマー処理を定期的に実行する間隔
            timer.Interval = 100;

            // 定期的に行う処理
            timer.Tick += Timer_Tick;

            timer.Start();
        }

        // TimerクラスのTickイベントで実行する処理
        // このようなメソッドをイベントに対してのイベントハンドラーと呼ぶ
        // イベントハンドラーは第1引数にイベント発生元から渡されるobjectクラスを、第2引数にイベント情報を受け取るためのクラスをを受け取る
        private void Timer_Tick(object sender, EventArgs e)
        {

            // 現在の時刻を取得する
            DateTime now_time = DateTime.Now;

            label1.Text = now_time.Hour + "時" + now_time.Minute + "分" + now_time.Second + "秒";
        }
    }
}
